Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.testing.transportlayer.replay
Class MyEntryDeserializer

    java.lang.Object
      org.mpisws.p2p.transport.peerreview.replay.BasicEntryDeserializer
          org.mpisws.p2p.testing.transportlayer.replay.MyEntryDeserializer

All Implemented Interfaces:
  MyEvents, EntryDeserializer, PeerReviewEvents

    public class MyEntryDeserializer

extends BasicEntryDeserializer
implements MyEvents

Field Summary

Fields inherited from interface org.mpisws.p2p.testing.transportlayer.replay.MyEvents
`EVT_BOOT, EVT_PUBLISH, EVT_SUBSCRIBE`

Fields inherited from interface org.mpisws.p2p.transport.peerreview.PeerReviewEvents
`EVT_ACK, EVT_CHECKPOINT, EVT_INIT, EVT_RECV, EVT_SEND, EVT_SENDSIGN, EVT_SIGN, EVT_SOCKET_CAN_READ, EVT_SOCKET_CAN_RW, EVT_SOCKET_CAN_WRITE, EVT_SOCKET_CLOSE, EVT_SOCKET_CLOSED, EVT_SOCKET_EXCEPTION, EVT_SOCKET_OPEN_INCOMING, EVT_SOCKET_OPEN_OUTGOING, EVT_SOCKET_OPENED_OUTGOING, EVT_SOCKET_READ, EVT_SOCKET_WRITE`

Constructor Summary
`MyEntryDeserializer()`

Method Summary
`java.lang.String` | `entryId(short id)`

Methods inherited from class org.mpisws.p2p.transport.peerreview.replay.BasicEntryDeserializer
`main, printLog, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MyEntryDeserializer

    public MyEntryDeserializer()

Method Detail

### entryId

    public java.lang.String entryId(short id)

  Specified by:
    `entryId` in interface `EntryDeserializer`
  Overrides:
    `entryId` in class `BasicEntryDeserializer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.